private:
    static int	_logId;
    int		_recordId;
    int		_loRecordId;
    int		_mask;
    char*	_logName;
#if defined(PERSISTENCY)
    DbmFile*	_db;
#endif
    UTCtime	_time;			// loggingTime
    Bool	_scheduledWakeUp;

    int		mdelete ();

protected:
    int		get (int, int, AVA*&, Bool = False, int = -1);
    int		set (CMISModifyOp, int, int, void*, AVA*&, Bool, int);

    int		refreshSubordinates (AVA*&, int);
    int		refreshSubordinate (RDN, AVA*&, int);

    inline static int getNewLogId ()
    { return ++_logId; }

    inline int getNewRecordId ()
    { return ++_recordId; }

public:
    int		createRR (AVA*& = NULLAVAREF, void* = NULLVD, int = -1);
    int		deleteRR (AVA*& = NULLAVAREF, void* = NULLVD, Bool = False, int = -1);

    int		wakeUp (char*);

    static int	restartLogs ();		// when restarting agent

    /* Disc LogRecord access */
#define LOG_FetchFirst -1
#define LOG_FetchNext  -2
    int		store (logRecord *);
    int		fetch (int, char *, int *);
    int		remove (int);

    inline char* getLogName ()
    { return(_logName); }

    inline UTCtime* getTime ()
    { time_t now = time(NULL); tm2ut(localtime(&now), &_time); return(&_time); }


