//
// NAME
//   movingAverageMeanMonitor.inc.h
//
// DESCRIPTION
//   for movingAveargeMeanMonitor MOC, via OSIMIS GDMO compiler
//   (based on ISO/IEC 10164-11 Monitor Objects MIB)
//   -- derived from monitorMetric (HACK) --
//
// AUTHOR
//   Henryka Siejka-Jormakka
//   Technical Research Centre of Finland
//   icm.group@tel.vtt.fi
//


private:
#define EMSIGAUGETHLDHIGH	65535	// a stupid guess
#define EMSIGAUGETHLDLOW	0	// a stupid guess

	double			_smoothingConst;
	double			_oldMeanEstimate;
					// for EWMA formula

protected:
        int		      	set (CMISModifyOp, int, int, void*, AVA*&,
						Bool = False, int = -1);
					// redefine these inherited MO methods

	void			update();
					// how to update from Real Resource

public:
	int			createRR(AVA*&, void* = NULLVD, int = -1);

	inline int      	wakeUp (char*)  { update(); return OK; }
					// what to do for scheduled wakeup

