hostname=$1

mcreate GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum1 \
	-a administrativeState = locked

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum1 \
	-w operationType=3 \
	-w algorithmType=2 \
	-w granularityPeriod="secs:20"

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum1 \
	-w collectionPeriod=30 

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum1 \
	-w baseManagedObject="uxObjId=test" \
	-w scope = wholeSubTree \
	-w filter = "( nUsers )"

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum1 \
	-w severityIndicatingGaugeThreshold="{Low:11.0 Switch:On High:13.0 Switch:On}"

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum1 \
	-w attributeId="nUsers"

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum1 \
	-w administrativeState=locked

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum1 \
	-w administrativeState=unlocked
