/*
 * Copyright (c) 1992 University College London
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the Department of Computer Science, University College London,
 * London, England. Neither the name of the University, nor its
 * registered trademark, UCL, may be used to endorse or promote
 * products derived from this software without specific prior
 * written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*/
/****************************************************************/
/*
	GDMOGen.h

	Header file for	GDMO constants and globals

	Author:	J.Cowan		(j.cowan@.cs.ucl.ac.uk)

*/
/****************************************************************/

#ifndef	_GDMOGEN_

#define	_GDMOGEN_

#ifndef	_GENERIC_STRING_
#include "GenStr.h"
#endif

/****************************************************************/

#define	DEFAULTTOPMO	"top"

#define	MODATABASE	"mo.dat"
#define	STARTCODE	"start.gen"
#define	CODELOG		"gdmo.log"
/*
#define	DEBUG		1
*/
/****************************************************************/
/* Global variables */

extern	char	*TopMo;

/****************************************************************/

#endif

/****************************************************************/



