#if !defined( _Snmp_RMIB_ERRORS_ )
#define _Snmp_RMIB_ERRORS_

typedef enum	{
			SnmpRMIBnoError = 0,
			SnmpRMIBloadObjectsFailed   = -1,
			SnmpRMIBagentNotInitialised = -2,

			SnmpRMIBnullParameter    = -10,
			SnmpRMIBinvalidParameter = -11,
			SnmpRMIBnullAgentParty   = -12,
			SnmpRMIBnullManagerParty = -13,
			SnmpRMIBnullContext	 = -14,

			SnmpRMIBmemAllocFailure = -20,
			SnmpRMIBPSallocFailure  = -21,
			SnmpRMIBPSerror		= -22,

			SnmpRMIBincompatibleTransDomains = -30,
			SnmpRMIBinvalidTransDomain       = -31,
			
			SnmpRMIBstartUDPclientFailed = -40,
			SnmpRMIBjoinUDPserverFailed  = -41,
			SnmpRMIBUDPsupportNotConfig  = -42,

			SnmpRMIBundefOID = -50,
			SnmpRMIBiimcAutoObjAndAttrNotInOID = -51,

			SnmpRMIBremoveNodeFailed = -60,

			SnmpRMIBunknownRequestId = -65,

			SnmpRMIBretryLimitReached = -70,
			SnmpRMIBsendFailed        = -71,
			SnmpRMIBnoMsgFndToTX      = -72,

			SnmpRMIBnoPDUreceived		  = -80,
			SnmpRMIBreceiveFailed		  = -81,
			SnmpRMIBunexpectedResponsePDUtype = -82,
			SnmpRMIBreceivePDUerror		  = -83,
		
			SnmpRMIBresponseInternalError	   = -90,
			SnmpRMIBresponseMaxRetriesExceeded = -91,

			SnmpRMIBnoKnownOperation = -100,

			SnmpRMIBunableToAccessSupportData = -110,
		
			SnmpRMIBprocessingFailure = -200,
			SnmpRMIBmultipleTimeouts  = -201
		
		} SnmpRMIBerrorEnum ;
#endif
