/*****************************************************************************

    connection.h file generated from header.hg

*****************************************************************************/


#if !defined(_connection_h_)
#define      _connection_h_


class SimpleNameType;
class GraphicString;
class Time;



#include "Top.h"


class connection : public Top
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_connectionId,
    I_localSapAddress,
    I_remoteSapAddress,
    I_creationTime,
#define I_connectionNATTRS    4
    I_objectCreation,
    I_objectDeletion;
#define I_connectionNNOTIFS    2

    Attr        *_attrs[I_connectionNATTRS];



    connection(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    SimpleNameType *		connectionId();
    GraphicString *		localSapAddress();
    GraphicString *		remoteSapAddress();
    Time *		creationTime();

/* No user code */

}; /* connection */


/* inline methods */

inline MOClassInfo * connection::getClassInfo()
{ return _classInfo; }

inline SimpleNameType * connection::connectionId()
{ return (SimpleNameType *) _attrs[I_connectionId]; }

inline GraphicString * connection::localSapAddress()
{ return (GraphicString *) _attrs[I_localSapAddress]; }

inline GraphicString * connection::remoteSapAddress()
{ return (GraphicString *) _attrs[I_remoteSapAddress]; }

inline Time * connection::creationTime()
{ return (Time *) _attrs[I_creationTime]; }


#endif /* !_connection_h_ */

/* End of file */
