/*****************************************************************************

    systemSim.h file generated from header.hg

*****************************************************************************/


#if !defined(_systemSim_h_)
#define      _systemSim_h_


class Real;



#include "System.h"


class systemSim : public System
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 2 */,
    I_simulatedTime,
    I_reportingInterval,
#define I_systemSimNATTRS    2
    I_attributeValueChange;
#define I_systemSimNNOTIFS    1

    Attr        *_attrs[I_systemSimNATTRS];



    systemSim(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    Real *		simulatedTime();
    Real *		reportingInterval();

/*
** User code start **
*/

#include"systemSim.inc.h"

/*
** User code finish **
*/

}; /* systemSim */


/* inline methods */

inline MOClassInfo * systemSim::getClassInfo()
{ return _classInfo; }

inline Real * systemSim::simulatedTime()
{ return (Real *) _attrs[I_simulatedTime]; }

inline Real * systemSim::reportingInterval()
{ return (Real *) _attrs[I_reportingInterval]; }


#endif /* !_systemSim_h_ */

/* End of file */
