/* compare.h - */

/*
 * $Header: /home/isode-consortium/isode/src/h/quipu/RCS/compare.h,v 10.0 1993/02/18 20:23:29 awy Rel $
 *
 *
 * $Log: compare.h,v $
 * Revision 10.0  1993/02/18  20:23:29  awy
 * Release IC-R1
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef QUIPUCOMP
#define QUIPUCOMP

#include "isode/quipu/commonarg.h"
#include "isode/quipu/ds_error.h"
#include "isode/quipu/dap.h"

struct ds_compare_arg {
    CommonArgs cma_common;
    DN cma_object;
    AVA cma_purported;
};

struct ds_compare_result {
    CommonResults cmr_common;
    DN cmr_object;
    char cmr_matched;           /* set to TRUE or FALSE                 */
    char cmr_iscopy;            /* values defined in entrystruct        */
    char cmr_pepsycopy;
    time_t cmr_age;
};

#endif
