/* ucbext.h - declarations /usr/ucblib functions */

#ifndef _ucbext_h
#define _ucbext_h

#ifdef  __cplusplus
extern "C" {
#endif

#include <stdio.h>
#include "isode/general.h"

#ifdef  __linux__
extern int sigblock(int) __THROW;
extern int sigsetmask(int) __THROW;
#else
extern int sigblock(int);
extern int sigsetmask(int);
#endif

#if	(defined(__GNUG__) && !defined(__linux__)) || \
	(!defined(__GNUG__) && defined(SOLARIS))


extern long random();
extern void srandom(unsigned);
extern void bcopy(char*, char*, int);
extern void bzero(char*, int);
extern int bcmp(char*, char*, int);

#endif

#ifdef  __cplusplus
}
#endif

#endif /* _ucbext_h */
