//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//

// Example.cc - a simple example using the Coordinator/KS kernel infrastructure

// By George Pavlou, January 1993


#include <stdlib.h>
#ifdef __GNUG__
#include <std.h>
#endif
#include "Coordinator.h"
#include "KboardMgr.h"


main ()
{
    // instantiate the coordinator
    Coordinator coordinator;

    // instantiate the keyboard manager knowledge source
    KeyboardMgr keyboardMgr;

    // start listening...
    printf("listening...\n");
    coordinator.listen();
}
