//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//

// KboardMgr.h - a primitive keyboard manager that listens and echoes
//		 input and "wakes up" to print a message regularly -
//		 a simple demonstration of the kernel Coordinator/KS facility

// By George Pavlou, January 1993


#ifndef _KBOARD_MGR__
#define _KBOARD_MGR_


#ifndef _GENERIC_KS_
#include "GenericKS.h"
#endif


class KeyboardMgr : public KS
{
    long  t;

public:
    int	 wakeUp (char*);
    int  readCommEndpoint (int);

    KeyboardMgr ();
    ~KeyboardMgr ();
};


#endif
