#ifndef _TK_KBOARD_MGR__
#define _TK_KBOARD_MGR_


#undef  Boolean		/* X uses also Boolean, Bool, True, False */
#undef  Bool
#undef  True
#undef  False

#ifndef _GENERIC_KS_
#include "GenericKS.h"
#endif

extern "C"
{
#include "tcl.h"
#include "tk.h"
}


class TkKeyboardMgr : public KS
{
    long	t;
    char   	_buf[BUFSIZ];
    Tcl_Interp*	_interp;
    char*	_winName;
    
    void init ();

public:
    int	 wakeUp (char*);
    int  readCommEndpoint (int);

    void tkInit (Tcl_Interp*, char*);

    TkKeyboardMgr ();
    TkKeyboardMgr (Tcl_Interp*, char*);
    ~TkKeyboardMgr ();
};


inline  TkKeyboardMgr::TkKeyboardMgr ()
{ init(); }

inline  TkKeyboardMgr::TkKeyboardMgr (Tcl_Interp* interp, char* winName)
{ init(); tkInit(interp, winName); }


#endif
