//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
/******************************************************************/
/*
	File:	cmisgen.cc

	Notes:
		contains Cmis general functions

	Author:
		James Cowan (J.Cowan@uk.ac.ucl.cs)
*/
/******************************************************************/

#include "cmis.h"


#ifdef	DEBUG_CLIENT

ostream	*cmis_trace;

#endif

/******************************************************************/
/* Exit browser */
/******************************************************************/

void    cmisbrowser_exit(int level)
{

#ifdef  DEBUG_MEMORY
        print_mem_trace();
        fflush(stdout);
#endif

        exit(level);

} /* cmisbrowser_exit */

/******************************************************************/
/* Debug status */
/******************************************************************/
/* See if debugging required */

#ifdef	DEBUG_CLIENT

void    init_debug()
{
FILE    *fp = fopen("browser.debug", "r");

        if (fp)
        {
                fclose(fp);
		cmis_trace = (NEW ostream("/tmp/cmis.log", "w"));
        }

} /* init_debug */

#endif


/******************************************************************/

void bell()

{
	printf("%c", 7);
	fflush(stdout);

} /* bell */

/******************************************************************/
/* End of module */
/******************************************************************/





