//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
/******************************************************************/
/*	
	File:		gen.h

	Notes:
		General header file contains usefule defines etc

	Author:
		James Cowan (J.Cowan@uk.ac.ucl.cs)
*/
/*****************************************************************/
/* Defines */

#ifndef _BOOLEAN_
#include "Boolean.h"
#endif

#define	TRUE	1
#define	FALSE	0

#ifdef	CCMAIN

#define	GLOBAL

#else

#define	GLOBAL	extern

#endif

/*****************************************************************/
/* Enumerated constants */

/* enum	Boolean	{True=1, False=0}; 2-2-93/GP */
typedef Bool Boolean;

/*****************************************************************/
/* Type definitions */

typedef	void	*PTR;

typedef	int	(*INT_FN_PTR)();

typedef	void	(*VOID_FN_PTR)();

/*****************************************************************/
/* Debug Memory functions */

#include "DebugMem.h"

/*****************************************************************/

