#if defined(_deepen_)

extern static OM_descriptor *deepen(OM_descriptor *, 
				    int, int, int);

#else
#define _deepen_


/*
 * Copyright (c) 1995 Technical Research Centre of Finland.
 * All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id:  $
 *
 * By Kimmo Kettunen, April, May 1995
 */


#define ATTRIBUTE_LIST      0
#define MODIFICATION_LIST   1
#define FILTER_AND          2
#define FILTER_OR           3
#define SET_LIST            4
#define GET_LIST            5

static OM_descriptor *deepen(src, type, size1, size2)
OM_descriptor *src;
/* const OM_descriptor *header; */
int type, size1, size2;

 
{
  
  static const OM_descriptor NULLDESCK[] = {
    OM_NULL_DESCRIPTOR,
 };
  static const OM_descriptor listOfHeads[] = {
    OM_OID_DESC(OM_CLASS, MP_C_SETOF_ATTRIBUTE),
    OM_OID_DESC(OM_CLASS, MP_C_MODIFICATION_LIST),
    OM_OID_DESC(OM_CLASS, MP_C_SETOF_CMIS_FILTER),
    OM_OID_DESC(OM_CLASS, MP_C_SETOF_CMIS_FILTER),
    OM_OID_DESC(OM_CLASS, MP_C_SETOF_SET_INFO_STATUS),
    OM_OID_DESC(OM_CLASS, MP_C_SETOF_GET_INFO_STATUS),
  };
  static const OM_descriptor listOfScrs[] = {
    {MP_ATTRIBUTE_LIST, OM_S_OBJECT, {0, 0} },
    {MP_MODIFICATION_LIST, OM_S_OBJECT, {0, 0} },
    {MP_AND, OM_S_OBJECT, {0, 0} },
    {MP_OR, OM_S_OBJECT, {0, 0} },
    {MP_SET_INFO_LIST, OM_S_OBJECT, {0, 0} },
    {MP_GET_INFO_LIST, OM_S_OBJECT, {0, 0} },
  };
  static const OM_descriptor listOfNews[] = {
    {MP_ATTRIBUTE_LIST, OM_S_OBJECT, {0, 0} },
    {MP_MODIFICATION_LIST, OM_S_OBJECT, {0, 0} },
    {MP_AND, OM_S_OBJECT, {0, 0} },
    {MP_OR, OM_S_OBJECT, {0, 0} },
    {MP_SET_INFO_LIST, OM_S_OBJECT, {0, 0} },
    {MP_GET_INFO_LIST, OM_S_OBJECT, {0, 0} },
  };
  static const OM_descriptor listOfItems[] = {
    {MP_ATTRIBUTE, OM_S_OBJECT, {0, 0} },
    {MP_MODIFICATION, OM_S_OBJECT, {0, 0} },
    {MP_FILTER, OM_S_OBJECT, {0, 0} },
    {MP_FILTER, OM_S_OBJECT, {0, 0} },
    {MP_SET_INFO_STATUS, OM_S_OBJECT, {0, 0} },
    {MP_GET_INFO_STATUS, OM_S_OBJECT, {0, 0} },
  };
  OM_descriptor *desc, *adesc, header, new_src;
  int src_label, item_name,
  i=1, l=1, k=1, flag=0; 

 
  desc = (OM_descriptor *) om_malloc(size1);
  adesc = (OM_descriptor *) om_malloc(size2);
  header = listOfHeads[type];
  src_label = listOfScrs[type].type;
  new_src = listOfNews[type];
  item_name = listOfItems[type].type;

  desc[0] = src[0];
  adesc[0] = header;
  while(src[i].type !=0 ) {
    if(src[i].type == src_label) {  
      adesc[k] = src[i];
      adesc[k++].type = item_name;
      flag=1;
    }
    else
      desc[l++] = src[i];
    i++;
  }
  if(flag) {
    adesc[k] = NULLDESCK[0];
    desc[l] = new_src;
    desc[l++].value.object.object = adesc;
  }
  desc[l] = NULLDESCK[0]; 
  return desc;
}
#endif








