-- SNMPv1 syntaxes
-- K.M.T.McCarthy
-- 13-Nov-93
PrxSV1Sntx { ccitt(0) data(9) pss(2342) ucl(19200300) iimc(114) iimcSyntaxes(1) 1 }

DEFINITIONS ::=

PREFIXES build parse print

BEGIN

SECTIONS build parse none

	SnmpInteger		::= INTEGER

	SnmpOID 		::= OBJECT IDENTIFIER

	SnmpOctetString 	::= OCTET STRING
	
	SnmpDisplayString 	::= OCTET STRING

	SnmpPhysAddress 	::= OCTET STRING

	SnmpNULL		::= NULL
	
	-- 
	-- Application wide types..
	--

	SnmpIpAddress ::= 		-- in network byte order
	    [APPLICATION 0]
	    	IMPLICIT OCTET STRING (SIZE (4))

--	SnmpNetworkAddress ::=
--	    CHOICE {
--	    	internet	SnmpIpAddress
--	    }

	SnmpCounter ::=
	    [APPLICATION 1]
	    	IMPLICIT INTEGER (0..4294967295)

	SnmpGauge ::=
	    [APPLICATION 2]
	    	IMPLICIT INTEGER (0..4294967295)

	SnmpTimeTicks ::=
	    [APPLICATION 3]
	    	IMPLICIT INTEGER (0..4294967295)

--	SnmpOpaque ::= 
--	    [APPLICATION 4]
--	    	IMPLICIT OCTET STRING

	SnmpRDNcomponent ::= CHOICE {
				snmpInteger		SnmpInteger,
				snmpOctetString		SnmpOctetString,
				snmpOID	 		SnmpOID,
				snmpIpAddress		SnmpIpAddress
			     }

	SnmpGenericRDN ::= CHOICE {
				snmpNULL 	SnmpNULL ,
				SEQUENCE OF 	SnmpRDNcomponent				
			   }

	-- TEST SYNTAX Note: no tags...

	IpNetToMediaEntryIdValue ::= SEQUENCE {
					ipNetToMediaIfIndex    SnmpInteger,
					ipNetToMediaNetAddress SnmpIpAddress
					}
END
