//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//

// DestinationGms.h

// By George Pavlou, February 1991


#ifndef _DestinationGms_h_
#define _DestinationGms_h_


#ifndef _Destination_
#include "Destination.h"
#endif


class DestinationGms: public DestinationAddress
{
public:
    int set (void*);

    inline DestinationGms ()     {}
    inline DestinationGms (DestAddressVal* addr)
                                        : DestinationAddress(addr) {}
};


#endif
