hostname=$1

mcreate GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum2 \
	-a administrativeState = locked

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum2 \
	-w operationType=3 \
	-w algorithmType=2 \
	-w granularityPeriod="secs:10"

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum2 \
	-w collectionPeriod=30

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum2  \
	-w baseManagedObject="scannerId=sum1" \
	-w scope=wholeSubTree \
	-w filter="(derivedResult)"

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum2 \
	-w severityIndicatingGaugeThreshold="{Low:11.0 Switch:On High:13.0 Switch:On}"

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum2 \
	-w attributeId="derivedResult" 

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum2 \
	-w administrativeState=locked

mset GSMO $hostname -c monitoringSupportMode2 -i scannerId=sum2 \
	-w administrativeState=unlocked
