//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//

// IA5String.h

// By George Pavlou, February 1991


#ifndef _IA5String_h_
#define _IA5String_h_


#ifndef _String_h_
#include "String.h"
#endif


class IA5String : public String
{
public:
    IA5String();
    IA5String(char *);
};

inline
IA5String::IA5String() : String(IA5STRING) {}

inline
IA5String::IA5String(char *str) : String(str, IA5STRING) {}


#endif
