//
// Copyright (c) 1990 University College London
// All rights reserved.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the Department of Computer Science, University College London.
// The name of the University may not be used to
// endorse or promote products derived from this software without
// specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//

// SmiAttr.h -  standard attribute declarations as in the
//		Structure of Management Information document

// By George Pavlou / Saleem Bhatti, February 1991


#ifndef _SMI_ATTR_
#define _SMI_ATTR_


#include "Counter.h"
#include "CounterThld.h"
#include "Gauge.h"
#include "GaugeThld.h"
#include "TideMark.h"
#include "SimpleNameType.h"
#include "Bool.h"
#include "Integer.h"
#include "IntegerList.h"
#include "Real.h"
#include "RealList.h"
#include "OctetString.h"
#include "String.h"
#include "IA5String.h"
#include "GraphicString.h"
#include "PrintableString.h"
#include "StringList.h"
#include "IA5StringList.h"
#include "GraphicStringList.h"
#include "PrintableStringList.h"
#include "ObjId.h"
#include "ObjIdList.h"
#include "MgmtId.h"
#include "MgmtIdList.h"
#include "ObjectClass.h"
#include "ObjectClassList.h"
#include "AttributeId.h"
#include "AttributeIdList.h"
#include "EventType.h"
#include "DName.h"
#include "ObjectInstance.h"
#include "ObjectInstanceList.h"
#include "Time.h"
#include "Scope.h"
#include "Filter.h"
#include "Destination.h"
#include "AdministrativeState.h"
#include "OperationalState.h"
#include "UsageState.h"
#include "AvailabilityStatus.h"
#include "LogFullAction.h"


#endif
