/*****************************************************************************

    System.h file generated from header.hg

*****************************************************************************/


#if !defined(_System_h_)
#define      _System_h_


class SimpleNameType;
class DName;
class OperationalState;
class UsageState;



#include "Top.h"


class System : public Top
{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_systemId,
    I_systemTitle,
    I_operationalState,
    I_usageState;
#define I_SystemNATTRS    4

    Attr        *_attrs[I_SystemNATTRS];



    System(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    SimpleNameType *		systemId();
    DName *		systemTitle();
    OperationalState *		operationalState();
    UsageState *		usageState();

/* No user code */

}; /* System */


/* inline methods */

inline MOClassInfo * System::getClassInfo()
{ return _classInfo; }

inline SimpleNameType * System::systemId()
{ return (SimpleNameType *) _attrs[I_systemId]; }

inline DName * System::systemTitle()
{ return (DName *) _attrs[I_systemTitle]; }

inline OperationalState * System::operationalState()
{ return (OperationalState *) _attrs[I_operationalState]; }

inline UsageState * System::usageState()
{ return (UsageState *) _attrs[I_usageState]; }


#endif /* !_System_h_ */

/* End of file */
