/*****************************************************************************

    cmipsnmpProxyAgent.h file generated from header.hg

*****************************************************************************/


#if !defined(_cmipsnmpProxyAgent_h_)
#define      _cmipsnmpProxyAgent_h_


class SimpleNameType;
class TransportAddresses;
class ObjId;
class SupportedMIBs;
class AccessControlEnforcement;
class AdministrativeState;
class RetryLimit;
class TimeoutInterval;



#include "Top.h"


/*
** User class definitions **
*/

#include"cmipsnmpProxyAgent.inc.hcl"

/*
** User class definitions finish **
*/

{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_cmipsnmpProxyAgentId,
    I_transportAddresses,
    I_managementProtocol,
    I_supportedMIBs,
    I_accessControlMechanism,
    I_administrativeState,
    I_snmpMsgRetryLimit,
    I_snmpMsgTimeout;
#define I_cmipsnmpProxyAgentNATTRS    8

    Attr        *_attrs[I_cmipsnmpProxyAgentNATTRS];



    cmipsnmpProxyAgent(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static MO           *create(RDN rdn, MO *superior);

    SimpleNameType *		cmipsnmpProxyAgentId();
    TransportAddresses *		transportAddresses();
    ObjId *		managementProtocol();
    SupportedMIBs *		supportedMIBs();
    AccessControlEnforcement *		accessControlMechanism();
    AdministrativeState *		administrativeState();
    RetryLimit *		snmpMsgRetryLimit();
    TimeoutInterval *		snmpMsgTimeout();

/*
** User code start **
*/

#include"cmipsnmpProxyAgent.inc.h"

/*
** User code finish **
*/

}; /* cmipsnmpProxyAgent */


/* inline methods */

inline MOClassInfo * cmipsnmpProxyAgent::getClassInfo()
{ return _classInfo; }

inline SimpleNameType * cmipsnmpProxyAgent::cmipsnmpProxyAgentId()
{ return (SimpleNameType *) _attrs[I_cmipsnmpProxyAgentId]; }

inline TransportAddresses * cmipsnmpProxyAgent::transportAddresses()
{ return (TransportAddresses *) _attrs[I_transportAddresses]; }

inline ObjId * cmipsnmpProxyAgent::managementProtocol()
{ return (ObjId *) _attrs[I_managementProtocol]; }

inline SupportedMIBs * cmipsnmpProxyAgent::supportedMIBs()
{ return (SupportedMIBs *) _attrs[I_supportedMIBs]; }

inline AccessControlEnforcement * cmipsnmpProxyAgent::accessControlMechanism()
{ return (AccessControlEnforcement *) _attrs[I_accessControlMechanism]; }

inline AdministrativeState * cmipsnmpProxyAgent::administrativeState()
{ return (AdministrativeState *) _attrs[I_administrativeState]; }

inline RetryLimit * cmipsnmpProxyAgent::snmpMsgRetryLimit()
{ return (RetryLimit *) _attrs[I_snmpMsgRetryLimit]; }

inline TimeoutInterval * cmipsnmpProxyAgent::snmpMsgTimeout()
{ return (TimeoutInterval *) _attrs[I_snmpMsgTimeout]; }


#endif /* !_cmipsnmpProxyAgent_h_ */

/* End of file */
