/*****************************************************************************

    scanner.h file generated from header.hg

*****************************************************************************/


#if !defined(_scanner_h_)
#define      _scanner_h_


class SimpleNameType;
class AdministrativeState;
class TimePeriod;
class OperationalState;



#include "Top.h"


/*
** User class definitions **
*/

#include"scanner.inc.hcl"

/*
** User class definitions finish **
*/

{
private:

    static MOClassInfo  _info;
    static MOClassInfo* _classInfo;

protected:

    /* constants */

    static const int
    _level  /* 1 */,
    I_scannerId,
    I_administrativeState,
    I_granularityPeriod,
    I_operationalState,
#define I_scannerNATTRS    4
    I_objectCreation,
    I_attributeValueChange,
    I_stateChange;
#define I_scannerNNOTIFS    3

    Attr        *_attrs[I_scannerNATTRS];



    scanner(RDN rdn, MO *superior, Bool leaf, MO *reference,
                int nAttrs, CMISParam *attrs,
                CMISErrors *err, CMISErrorInfo *errInfo, OID *event);

public:

    static int          initialiseClass();
    static MOClassInfo  *getClassInfo();
    static RDN          makeRdn (MO* superior);
    static MO           *create(RDN rdn, MO *superior);

    SimpleNameType *		scannerId();
    AdministrativeState *		administrativeState();
    TimePeriod *		granularityPeriod();
    OperationalState *		operationalState();

/*
** User code start **
*/

#include"scanner.inc.h"

/*
** User code finish **
*/

}; /* scanner */


/* inline methods */

inline MOClassInfo * scanner::getClassInfo()
{ return _classInfo; }

inline SimpleNameType * scanner::scannerId()
{ return (SimpleNameType *) _attrs[I_scannerId]; }

inline AdministrativeState * scanner::administrativeState()
{ return (AdministrativeState *) _attrs[I_administrativeState]; }

inline TimePeriod * scanner::granularityPeriod()
{ return (TimePeriod *) _attrs[I_granularityPeriod]; }

inline OperationalState * scanner::operationalState()
{ return (OperationalState *) _attrs[I_operationalState]; }


#endif /* !_scanner_h_ */

/* End of file */
