/*
 * $Header: /home/isode-consortium/isode/src/h/quipu/RCS/gda.h,v 10.0 1993/02/18 20:24:35 awy Rel $
 *
 * $Log: gda.h,v $
 * Revision 10.0  1993/02/18  20:24:35  awy
 * Release IC-R1
 *
 */

/* gda.h - generic directory api include file */

typedef struct gdafunctions {
	IFP	f_work;		/* work function */

	IFP	f_bind;		/* invoke a bind operation     */
	IFP	f_unbind;	/* invoke an unbind operation  */
	IFP	f_read;		/* invoke a read operation     */
	IFP	f_compare;	/* invoke a compare operation  */
	IFP	f_abandon;	/* invoke an abandon operation */
	IFP	f_search;	/* invoke a search operation   */
	IFP	f_list;		/* invoke a list operation     */
	IFP	f_modify;	/* invoke a modify operation   */
	IFP	f_modrdn;	/* invoke a modrdn operation   */
	IFP	f_add;		/* invoke a add operation      */
	IFP	f_delete;	/* invoke a delete operation   */
} GDAFunctions;
#define NULLGDAF	((GDAFunctions *) 0)

typedef struct gda {
	int		gda_flags;
	int		gda_fd;
	DN		gda_prefix;
	void		*gda_info;
	GDAFunctions	*gda_fns;
} GDA;
#define NULLGDA	((GDA *) 0)
