
#ifdef	__GNUG__
#include <std.h>
#endif
#include "msap.h"
#include "Error.h"
#include "TestKS.h"


int  TestKS::initialise ()
{
    MO* top;

    if (strcasecmp((top = MO::getRoot()->getSubordinate()) -> getClassName(),
		   "systemSim") != 0) {
	advise(NULLCP, "TestKS::top MIB object not of class `systemSim'!");
	return NOTOK;
    }

    system = (systemSim*) top;
    scheduleWakeUps((long) REAL_TIME_INTERVAL, NULLCP);

    return OK;
}


int  TestKS::wakeUp (char*)
{
    double prevTime = system -> getSimulatedTime();
    system -> setSimulatedTime(prevTime + SIM_TIME_INTERVAL);

    advise(NULLCP, "TestKS: simulated time now is %.1f",
			prevTime + SIM_TIME_INTERVAL);
    return OK;
}

 
