/*
 * Copyright (c) 1993 University College London
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the Department of Computer Science, University College London.
 * The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*/

#if defined(__STDC__) || defined(__cplusplus)
#define _a_(_args_) _args_
#else
#define _a_(_args_) ()
#endif

/************************************************************************/

int check_context _a_((MIDAS_CONTEXT*, MIDAS_STATUS_P));
int check_session _a_((MIDAS_SESSION*, MIDAS_STATUS_P));
int check_invoke_id _a_((int *i));
MIDAS_STATUS *error_status _a_((MIDAS_STATUS*, MSAPIndication*,
                                enum problem_type, int));
extern int get_invoke_id();      /*Presumably there is a global routine
                                  which returns increasing values*/

/************************************************************************/
